## org.apache.batik.util
Class AbstractParsedURLProtocolHandler

    java.lang.Object
      org.apache.batik.util.AbstractParsedURLProtocolHandler

All Implemented Interfaces:
  ParsedURLProtocolHandler

Direct Known Subclasses:
  ParsedURLDataProtocolHandler, ParsedURLDefaultProtocolHandler

public abstract class AbstractParsedURLProtocolHandler
extends java.lang.Object
implements ParsedURLProtocolHandler

Very simple abstract base class for ParsedURLProtocolHandlers. Just handles the 'what protocol part'.

Field Summary
`protected java.lang.String` `protocol`

Constructor Summary
`AbstractParsedURLProtocolHandler(java.lang.String protocol)` Constrcut a ProtocolHandler for `protocol`

Method Summary
`java.lang.String` `getProtocolHandled()` Returns the protocol to be handled by this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.util.ParsedURLProtocolHandler
`parseURL, parseURL`

Field Detail

### protocol

    protected java.lang.String protocol

Constructor Detail

### AbstractParsedURLProtocolHandler

    public AbstractParsedURLProtocolHandler(java.lang.String protocol)

  Constrcut a ProtocolHandler for `protocol`

Method Detail

### getProtocolHandled

    public java.lang.String getProtocolHandled()

  Returns the protocol to be handled by this class. The protocol must _always_ be the part of the URL before the first ':'.

  Specified by:
    `getProtocolHandled` in interface `ParsedURLProtocolHandler`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.